Subject: Re: wcard discussions in Minneapolis

From: Peter Koch <[email-masked]>
Date: Fri, 01 Apr 2005 14:35:52 +0200

Olaf M. Kolkman wrote:

> > of their being inconsistencies, i.e., no right and wrong, no best 
> > current practice, we declare that we are not going to delineate rules 
> > at this time.
 
> Sounds like a fair approach to me. Anybody not agreeing raise your voices.

it's less than we had achieved and I'd rather not lose those results.
If I remember correctly, we agreed that "* NS" would never lead to the
"naïve" result, i.e. it won't create all the zones/delegations on the fly.
It would be helpful to document that, at the very least in a non-normative
appendix. The two remaining options were treating "* NS" as a normal label,
which would, however, require a change to DNSSEC-bis or to disallow it,
with interoperability problems if servers inconsistently chose to accept
or reject a zone containing * NS. So, a zone maintainer should never
expect any useful results, even if their DNS server software is homogeneous.

Wildcard "clarify" is not only targeted at implementors, so the more guidance
there is, the better. That's also true for documenting - again, in an appendix -
corner cases like those names below a '*' that are not covered by the wildcard.

-Peter

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>